import pprint
from demo.base import web_action, render
from flatland import Form, String, List, Boolean


class MyForm(Form):
    schema = [
        String('username'),
        List('emergency_contacts',
             String('name'),
             String('phone'),
             String('type'),
             Boolean('related'),
             default=1),
        ]


@web_action('/form1')
def web_app(request):
    if request.post_data:
        form = MyForm.from_flat(request.post_data)
    else:
        form = MyForm.from_defaults()
    return render('form1.html',
                  form=form,
                  pretty=pprint.pformat,
                  posted=request.method == 'POST')
