from demo.base import web_action, render
from flatland import Form, String, DateYYYYMMDD, valid


class UserForm(Form):
    schema = [
        String('login'),
        String('password'),
        String('password2'),
        String('phone',
               validators=[valid.string.NANPphone()]),
        DateYYYYMMDD('birthday',
                     validators=[valid.Present(), valid.Converted()]),
        ]


@web_action('/user2')
def user_app(request):
    form = UserForm.from_flat(request.post_data)
    valid = form.validate()
    print "form is " + ("valid" if valid else "invalid")
    return render('user.html', form=form)

